<html>
  <head>
    <link rel="stylesheet" href="../estils/hoja.css" type="text/css">
    <title>Canviar de password</title>
  </head>

  <body leftmargin="0" topmargin="0" bgcolor="#8F0000">
    <table border="0" width="100%" height="100%" cellpadding="0" cellspacing="0">
      <tr>
        <!-- Menú dret -->
        <td align="left" valign="top" width="100" bgcolor="#4F0000">
          <?php include("../menu.inc") ?>
        </td>

        <!-- Capçalera -->
        <td align="left" valign="top" width="100%" class="centered">
        <h2>Departament d'Enginyeria Informàtica i Matemàtiques</h2>
        <img src="images/separador.gif">
        <br><br>
        <div align="left"><blockquote>
        <h2>Administració: Canvi de password</h2>
        <!-- Començament del cos -->
        <?php require("../private/connect.inc");
              require("../private/ident.inc");
              ident();
              ident($_POST["pass0"]);
              if (strcmp($_POST["pass1"], $_POST["pass2"])) {
                echo "Els passwords introduits són diferents.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                exit;
              }
              if (strlen($_POST["pass1"])<5) {
                echo "El password ha de ser com a mínim de 5 caracters.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                onClick=\"history.go(-1)\">";
                exit;
              }
              if (!strcmp($_POST["pass1"], "admin")) {
                echo "El password i el login no poden ser el mateix.";
                echo "<br><br><input type=\"image\" src=\"images/tornar.jpg\"
                      onClick=\"history.go(-1)\">";
                exit;
              } 
              $link=Conectar();
              $pass=addslashes($_POST["pass1"]);
              $login=$_COOKIE["login"];
              mysql_query("UPDATE usuaris SET password = PASSWORD('$pass') WHERE
              login LIKE '$login'") or die ("Error a la BD!");
              echo "Password canviat!!<br>";
              
        ?>
        <font size="-1"><i>En 3 segons tornará al menú d'administració</i></font>
        </blockquote></div>
        </td>
        <td align="left" valign="top" width="100">
          <br />
          <br />
          <br />
          <br />
          <a href="../desconectar.php" class="link2"><img src="images/tancar.jpg" border="0"></a>
        </td>
      </tr>
    </table>
    <script languaje='JavaScript'>
       setTimeout('location.href="../login.php"', 3000)
    </script>
  </body>
</html>

